%define upstream_name    MooseX-Types-Perl
%define upstream_version 0.101343

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Moose types that check against Perl syntax
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(charnames)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.820.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This library provides MooseX::Types for checking things (mostly strings)
against syntax that is, or is a reasonable subset of, Perl syntax.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.101.343-4.mga5
+ Revision: 745205
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.101.343-3.mga5
+ Revision: 735886
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.101.343-2.mga5
+ Revision: 685587
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.101.343-1.mga5
+ Revision: 588545
- update to 0.101343

* Mon Oct 21 2013 umeabot <umeabot> 0.101.342-2.mga4
+ Revision: 539476
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 0.101.342-1.mga4
+ Revision: 492137
- update to 0.101342

* Sun Jan 13 2013 umeabot <umeabot> 0.101.341-2.mga3
+ Revision: 370362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 05 2012 jquelin <jquelin> 0.101.341-1.mga2
+ Revision: 191226
- update to 0.101341

* Tue Jan 25 2011 jquelin <jquelin> 0.101.340-1.mga1
+ Revision: 38662
- mageia rebuild
- imported package perl-MooseX-Types-Perl

